OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros
binaryheap.hpp File Reference

Binary heap implementation. More...

`#include "../core/alloc_func.hpp"`

Go to the source code of this file.

## Data Structures
class | CBinaryHeapT< T >
| Binary Heap as C++ template. More...

## Macros
#define | BINARYHEAP_CHECK 0
| Enable it if you suspect binary heap doesn't work well.
#define | CHECK_CONSISTY() ;
| Don't check for consistency.

## Detailed Description

Binary heap implementation.

Definition in file binaryheap.hpp.

## Macro Definition Documentation

#define CHECK_CONSISTY | ( |  | ) | ;

Don't check for consistency.

Definition at line 25 of file binaryheap.hpp.

Referenced by CBinaryHeapT< Titem_ >::Include(), CBinaryHeapT< Titem_ >::Remove(), and CBinaryHeapT< Titem_ >::Shift().